(*----------------------------------------------------------------------------*
 *  Direct3D sample for DirectX 8.1 demostrating how to create and render     *
 *  Dot product (Dot3) bumpmapped / modulated font. Font normal map generated *
 *  with D3DX8.1 function D3DXComputeNormalMap which itself requires height   *
 *  map. So height map is generated from font bitmap by averaging intensivity *
 *  of 3x3 square of pixels.                                                  *
 *                                                                            *
 *  Note: This sample requires DirectX 8.1 to compile and run!!!              *
 *                                                                            *
 *  Copyright (c) 2002 by Alexey Barkovoy                                     *
 *  E-Mail: clootie@reactor.ru                                                *
 *                                                                            *
 *  Modified: 29-May-2002                                                     *
 *                                                                            *
 *  Latest version can be downloaded from:                                    *
 *     http://clootie.narod.ru                                                *
 *----------------------------------------------------------------------------*)

program TextDot3;

{$I DirectX.inc}

uses
  Windows,
  Text3DUnit in 'Text3DUnit.pas',
  D3DFontDot3 in 'D3DFontDot3.pas';

{$R winmain.res}

//-----------------------------------------------------------------------------
// Name: WinMain()
// Desc: Entry point to the program. Initializes everything, and goes into a
//       message-processing loop. Idle time is used to render the scene.
//-----------------------------------------------------------------------------
var
  d3dApp: CMyD3DApplication;
begin
  d3dApp:= CMyD3DApplication.Create();
  // "Create_" isn't a constructor it's a regular function
  if FAILED(d3dApp.Create_(HInstance)) then Exit;
  d3dApp.Run;
  d3dApp.Free;
end.

